eaccelerator problem with XAMPP Linux 1.7.3a

Problems with the Linux version of XAMPP, questions, comments, and anything related.

eaccelerator problem with XAMPP Linux 1.7.3a

Postby usmanmalik » 15. August 2010 14:05

Hello,

I just installed xampp on linux 1.7.3a.

everything is working fine without any issues. today i was checking my logs and found eaccelerator error in my phperror logs.

it said [14-Aug-2010 14:43:46] PHP Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/eaccelerator.so' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/eaccelerator.so: cannot open shared object file: No such file or directory in Unknown on line 0

I guess this is some bug or something in xampp. also checked for phpinfo there is no eaccelerator compiled in it.

and i remember when i was installing xampp. it said it have eaccelerator 0.9.5.3 included in it.
usmanmalik
 
Posts: 2
Joined: 15. August 2010 13:54

Re: eaccelerator problem with XAMPP Linux 1.7.3a

Postby DoYouSpeakWak » 21. August 2010 16:39

the the release it says its included. But if you go to php.ini you will see a comment that xampp have made about eaccelerator not supports 5.3.0.

BUT it does support 5.3.0. xampp just seem to lazy to update eaccelerator. 9.5.x is now 9.6.x.x the 9.5.x that have been in the latest xampp is very old. Very strange nobody have included the newest version.
DoYouSpeakWak
 
Posts: 3
Joined: 21. August 2010 15:06

Re: eaccelerator problem with XAMPP Linux 1.7.3a

Postby usmanmalik » 21. August 2010 19:12

Yes i remember i saw the comments regarding eaccelerator in php.ini.

I hope apachefriends update xampp as alot of updates including apache,mysql,php,eaccelerator and other major stuff.

Thanks for your reply mate.
usmanmalik
 
Posts: 2
Joined: 15. August 2010 13:54

Re: eaccelerator problem with XAMPP Linux 1.7.3a

Postby DiGiTaL-CORE » 18. September 2010 08:48

XAMPP 1.7.4-beta6 has the new eAccelerator 0.9.6.1 and it seems to work perfect. Can't wait till the final release.
Win7 Ult., SP1 (64-bit) | LMDE 201204 (64-bit)
XAMPP 1.8.1 | phpMyAdmin 3.5.3
Ruby 1.9.3p194 (Rails 3.2.8) | Python 2.7.2 | Perl 5.16.1
DiGiTaL-CORE
 
Posts: 3
Joined: 18. September 2010 08:44
XAMPP Version: 5.6.3
Operating System: Win7 Ult., SP1 (64-bit)


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 5 guests